Skip to main content
GET
/
api
/
watch
/
watcher
/
{watcherId}
Lists all watches created by a specific watcher (e.g. User, Email, User Group).
curl --request GET \
  --url https://{tenant}.ekso.app/api/watch/watcher/{watcherId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "owner": 123,
    "ownerId": "<string>",
    "watcher": 123,
    "watcherId": "<string>",
    "type": 123,
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

watcherId
string
required

The unique identifier of the watcher.

Response

List of watches for the watcher.

entity
null | string
owner
integer
ownerId
string
watcher
integer
watcherId
string
type
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean